{% ckan_extends %}

{% block subtitle %}{{ _('Catalogues') }}{% endblock %}

{% block breadcrumb_content %}
  <li class="active">{% link_for _('Catalogues'), controller='organization', action='index' %}</li>
{% endblock %}

{% block page_header %}{% endblock %}

{% block page_primary_action %}
  {% if h.check_access('organization_create') %}
    {% link_for _('Add Catalogue'), controller='organization', action='new', class_='btn btn-primary', icon='plus-sign-alt' %}
  {% endif %}
{% endblock %}

{% block primary_content_inner %}
  <h1 class="hide-heading">{% block page_heading %}{{ _('Catalogues') }}{% endblock %}</h1>
    {% block organizations_search_form %}
        {% snippet 'snippets/search_form.html', type='organization', query=c.q, sorting_selected=c.sort_by_selected, count=c.page.item_count, placeholder=_('Search catalogues...'), show_empty=request.params, no_bottom_border=true if c.page.items %}
    {% endblock %}
  {% block organizations_list %}
    {% if c.page.items or request.params %}
      {% if c.page.items %}
        {% snippet "organization/snippets/organization_list.html", organizations=c.page.items %}
      {% endif %}
    {% else %}
      <p class="empty">
        {{ _('There are currently no catalogues for this site') }}.
        {% if h.check_access('organization_create') %}
          {% link_for _('How about creating one?'), controller='organization', action='new' %}</a>.
        {% endif %}
      </p>
    {% endif %}
  {% endblock %}
  {% block page_pagination %}
    {{ c.page.pager(q=c.q or '', sort=c.sort_by_selected or '') }}
  {% endblock %}

<div class="flags-license">
    <small>
        Flag Images &copy;
        <span property="dct:title">Free Country Flags</span>
        (<a rel="cc:attributionURL" property="cc:attributionName" href="http://www.free-country-flags.com/">Gang of the Coconuts</a>) / <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">CC BY-SA 3.0</a>
    </small>
</div>

{% endblock %}

{% block secondary_content %}
{% snippet "organization/snippets/helper.html" %}
{% set countries = h.available_countries() %}
{% if countries %}
<div class="filters">
    <div>
        <section class="module module-narrow module-shallow">
            <h2 class="module-heading">
                <i class="icon-medium icon-filter"></i>
                {{ _('Countries') }}
            </h2>
            <nav>
                <ul class="unstyled nav nav-simple nav-facet">
                    {% for c in countries %}
                        {% set href = h.remove_url_param('spatial', c.name) if c.active else h.add_url_param(new_params={'spatial': c.name}) %}
                        <li class="nav-item {% if c.active %} active{% endif %}">
                            <a title="{{ c.display_name }}" href="{{ href }}">
                                <span>{{ c.display_name }}</span>
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </nav>
            <p class="module-footer"> </p>
        </section>
    </div>
    <a class="close no-text hide-filters"><i class="icon-remove-sign"></i><span class="text">close</span></a>
</div>
{% endif %}
{% endblock %}